OCF_HEARTBEAT_JIRA(7)

NAME
ocf_heartbeat_jira - JIRA OCF RA

SYNOPSIS

jira [start | stop | monitor | meta-data | validate-all]

DESCRIPTION

OCF Resource Agent to manage JIRA software

SUPPORTED PARAMETERS

statusurl
    Status URL for JIRA monitoring

    (optional, string, default "http://localhost:8080/status")

java_home
    Java Home in the Linux instance

    (optional, string, default "/usr/lib/jvm/jre")

jira_installation
    JIRA installation directory (binaries, ... etc)

    (required, string, no default)

jira_user
    User to run Jira software with

    (optional, string, default "jira")

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 300s.

stop
    Stops the resource. Suggested minimum timeout: 300s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 30s. Suggested interval: 10s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 20s.

EXAMPLE CRM SHELL

The following is an example configuration for a jira resource using the crm(8) shell:

    primitive p_jira ocf:heartbeat:jira \
      params \
        jira_installation=string \
      op monitor timeout="30s" interval="10s" depth="0"

EXAMPLE PCS

The following is an example configuration for a jira resource using pcs(8)

    pcs resource create p_jira ocf:heartbeat:jira \
      jira_installation=string \
      op monitor timeout="30s" interval="10s" OCF_CHECK_LEVEL="0"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)